/* Project: Paddle Puck
 * Author: Dennis Busch, http://www.dennisbusch.de, Dennis[minus]Busch[at]gmx[dot]net
 */

package paddlepuckGUI;

import paddlepuckprotocol.PaddlePuckGameState;

/**
 * Classes which implement this interface can be used by the PaddlePuckServer
 * to tell them when there is an update to the game state.
 */
public interface IPaddlePuckServerView
{
  public void SignalGameStateChanged(PaddlePuckGameState gs); // tells the server view to update itself and passes along the gamestate
}
