/* Project: Paddle Puck
 * Author: Dennis Busch, http://www.dennisbusch.de, Dennis[minus]Busch[at]gmx[dot]net
 */

package paddlepuckGUI;

/**
 * Any Paddle Puck Client Views must implement this interface to work with
 * the PaddlePuckClient.
 */
public interface IPaddlePuckClientView
{
  public void SignalUpdate(); // tells the client view to update itself
  public void SignalServerDisconnected(); // tells the client that the server disconnected/stopped
}
