/* Project: Paddle Puck
 * Author: Dennis Busch, http://www.dennisbusch.de, Dennis[minus]Busch[at]gmx[dot]net
 */

package paddlepuckprotocol;

/**
 * This enumeration describes the possible connection states in a Paddle
 * Puck Client/Server connection.
 */
public enum PaddlePuckConnectionState
{
  NotConnected, // not connected
  Setup, // connected, performing CONNECTION SETUP protocol
  Connected // connected (CONNECTION SETUP passed successfully) and ready to process game messages
}
